/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/* $Id: history.h,v 1.4 2002/05/08 21:24:47 jdejong Exp $ */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: history.h,v 1.4 2002/05/08 21:24:47 jdejong Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef _HISTORY_H
#define _HISTORY_H
/*----------------------------------------------------------------------- */
/* Routines for history keywords in FITS headers                          */
/*----------------------------------------------------------------------- */
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include "fitsio.h"

/*----------------------------------------------------------------------- */
/*   Copies history records from one open FITS unit to another            */
/*   Inputs                                                               */
/*      infptr   cfitsio pointer to open input FITS file                  */
/*      outfptr   cfitsio pointer to open output FITS file                */
/*   Output:                                                              */
/*      ierr      Error code: 0 => ok, checked on input                   */
/*----------------------------------------------------------------------- */
void copy_history (fitsfile *infptr, fitsfile *outfptr, int *ierr);

/*----------------------------------------------------------------------- */
/*   Gets the current date/time string suitable for history               */
/*   Input/Output:                                                        */
/*      timestr      character large enouthg (>30) for the time string    */
/*----------------------------------------------------------------------- */
void history_time (char *timestr);

#endif /* end HISTORY_H */
/* */
